velvet (1.2.10+dfsg1-7) unstable; urgency=medium

  * velvet-examples: Depends: velvet-tests
    Closes: #929563

 -- Andreas Tille <tille@debian.org>  Sat, 07 Dec 2019 21:28:03 +0100

velvet (1.2.10+dfsg1-6) unstable; urgency=medium

  * Use 2to3 to port to Python3
    Closes: #945743
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Secure URI in copyright format
  * Remove trailing whitespace in debian/changelog
  * Remove trailing whitespace in debian/control
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata.

 -- Andreas Tille <tille@debian.org>  Mon, 02 Dec 2019 13:40:35 +0100

velvet (1.2.10+dfsg1-5) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata: Added references to registries.

  [ Andreas Tille ]
  * drop unneeded get-orig-source target
  * debhelper 11 (--no-parallel needed)
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * d/control: Drop unnecessary Testsuite field
  * Provide manpages for versions with MAXKMERLENGTH = 127
  * Try better hardening but failed (hints are welcome)
  * Fix spelling
  * Secure URI in watch file
  * Remove unused lintian override

 -- Andreas Tille <tille@debian.org>  Thu, 05 Jul 2018 10:17:41 +0200

velvet (1.2.10+dfsg1-4) experimental; urgency=medium

  * Add version with MAXKMERLENGTH=127

 -- Andreas Tille <tille@debian.org>  Fri, 24 Feb 2017 10:10:36 +0100

velvet (1.2.10+dfsg1-3) unstable; urgency=medium

  * Moved from SVN to Git
  * Do not mention files in d/copyright that are not part of the source
  * Lintian override for false positives

 -- Andreas Tille <tille@debian.org>  Thu, 10 Dec 2015 09:02:23 +0100

velvet (1.2.10+dfsg1-2) unstable; urgency=medium

  * Fix gcc-5 build issue by adapting upstream patch
    Closes: #778161
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Sat, 27 Jun 2015 11:44:54 +0200

velvet (1.2.10+dfsg1-1) unstable; urgency=medium

  * Drop more stuff from upstream source via Files-Excluded
  * cme fix dpkg-control
  * Do not pack example data into another archive
  * add autopkgtest (using new binary package velvet-tests)
  * do not create manpages at package build time (which is error prone anyway
    but rather prepare them before using debian/createmanpages script

 -- Andreas Tille <tille@debian.org>  Mon, 30 Jun 2014 13:56:46 +0200

velvet (1.2.10+dfsg-1biolinux6) trusty; urgency=medium

  [ Andreas Tille ]
  * Moved debian/upstream to debian/upstream/metadata
  * Base get-orig-source target on recent uscan that understands
    Files-Excluded
  * debian/rules: no need to explicitly force xz compression any more

  [ Tim Booth ]
  * Remove MeteVelvet and VelvetOptimiser in dh_clean, not dh_install
  * Include example_data.tar.xz in -example package

 -- Tim Booth <tbooth@ceh.ac.uk>  Mon, 30 Jun 2014 11:39:24 +0100

velvet (1.2.10+dfsg-1biolinux5) trusty; urgency=low

  * Rebuild for Ubuntu Trusty
  * Fold in some chages from Bio-Linux
  * Add velvet-long package as suggested by upstream
  * Fix TeX deps so manual still builds
  * Add .c/.h and .pl files to dh_compress exclusions
  * Ensure that MetaVelvet and VelvetOptimiser sources are excluded
    as they don't belong in -examples

 -- Tim Booth <tbooth@ceh.ac.uk>  Fri, 27 Jun 2014 13:52:48 +0100

velvet (1.2.10+dfsg-1) unstable; urgency=low

  * New upstream version (+adapted patch)
  * debian/watch: cope with +dfsg suffix (in addition to old ~nozlibcopy)
  * debian/get-orig-source:
     - Enable simple changing of suffix for repackaged source
     - Check for existence of enhanced uscan and use it if available for
       easier repackaging
  * debian/control:
     - cme fix dpkg-control
     - no explicit quilt Build-Depends (also removed from rules)
     - bumped python from Recommends to Depends because there are
       Python scripts installed in velvet/contrib
     - use anonscm in Vcs fields
  * debian/copyright:
    Add Files-Excluded to document what was removed from original source
  * rename debian/{docs,install} to debian/velvet.{docs,install} which
    is more safe in the case of multibinary package
  * debian/velvet.install: shuffle* files are in contrib directory now
  * debhelper 9 (control+compat) to enable hardening options
  * debian/rules: propagate hardening options
  * debian/copyright:
     - Files-Excluded: Exclude MAXOS internal files cruft from upstream archive
     - Adapt Source location
  * debian/README.source: Updated explanation for repackaging, droped some
    outdated information
  * debian/rules:
     - Do not try to rmdir nonexisting directory
     - Remove extra copies of GPL
  * debian/velvet-examples.install: use install instead of examples to move
    the examples into /usr/share/doc/velvet directly.  Also all contrib stuff
    was moved here to not bloat main velvet binary package with potentially
    unused stuff in /usr/share
  * debian/README.Debian: document move of contrib stuff

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2013 14:33:28 +0200

velvet (1.2.03~nozlibcopy-1) unstable; urgency=low

  * New upstream release.
  * Updated debian/patches/include_debians_zlib.patch.

 -- Charles Plessy <plessy@debian.org>  Thu, 16 Feb 2012 13:37:19 +0900

velvet (1.1.07~nozlibcopy-1) unstable; urgency=low

  * New upstream release (Closes: #647415).
  * debian/contol:
    - Pre-Depends on dpkg (>= 1.15.6) for Ubuntu LTS.
    - Removed Multi-Arch: foreign.

 -- Charles Plessy <plessy@debian.org>  Fri, 09 Dec 2011 14:07:58 +0900

velvet (1.1.06~nozlibcopy-1) unstable; urgency=low

  [ Andreas Tille ]
  * New upstream version
  * debian/copyright: Revised
  * debian/get-orig-source: Do not remove MetaVelvet
  * debian/control:
     Build-Depends: texlive-latex-base

  [ Charles Plessy ]
  * Corrected VCS URLs in debian/control.
  * Compress source and binary packages with xz
    (debian/rules, debian/get-orig-source).
  * Turn on multithreading with OpenMP (debian/rules).
  * Remove empty directory contrib/MetaVelvet-v0.3.1/obj (debian/rules).

 -- Charles Plessy <plessy@debian.org>  Tue, 27 Sep 2011 15:12:41 +0900

velvet (1.1.05-1ubuntu4) lucid; urgency=low

  * Moved from CDBS to DH
  * New upstream.  Still includes a copy of Zlib but the default
    is now to use the system version, so removed relevant patch.
  * Modified build to work on unmodified upstream (still works on
    pruned upstream).

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 11 Aug 2011 13:34:46 +0100

velvet (1.1.02~nozlibcopy-1) unstable; urgency=low

  * New upstream version
    upgraded patches, tweak $(LIBS) into Z_LIB_FILES variable
    of Makefile which makes patch more robust against upstream
    changes
  * Debhelper 8 (control+compat)
  * debian/rules: Leave out Z_LIB_FILES in parameter list
  * debian/get-orig-source: Once we are rebuilding the original
    tarball anyway it makes sense to remove an outdated copy of
    MetaVelvet and replace it rather by a hint to the currently
    maintained source in README.source
  * Standards-Version: 3.9.2 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Apr 2011 10:51:16 +0200

velvet (1.0.18~nozlibcopy-1) unstable; urgency=low

  * New upstream version
  * debian/get-orig-source: Make sure MD5sum stays the same for different
    download

 -- Andreas Tille <tille@debian.org>  Wed, 19 Jan 2011 08:48:19 +0100

velvet (1.0.15~nozlibcopy-2) unstable; urgency=low

  * Fix FTBFS with ld --as-needed (thanks for the patch to
    Matthias Klose)
    Closes: #607535

 -- Andreas Tille <tille@debian.org>  Mon, 20 Dec 2010 08:43:16 +0100

velvet (1.0.15~nozlibcopy-1) unstable; urgency=low

  * New upstream source
  * Standards-Version: 3.9.1 (no changes needed)
  * debian/get-upstream-source: Remove precompiled *.o files and
    .DS_Store files once we are repackaging anyway
  * debian/patches/fix-perl-path.patch: Fix Perl path

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2010 15:42:33 +0100

velvet (1.0.02~nozlibcopy-1) unstable; urgency=low

  * New upstream version
  * Source format 3.0 (quilt)
  * debian/control:
    - Recommends: python (some new scripts in /usr/share/velvet/contrib
      are Python scripts)
    - Build-Depends: quilt
  * debian/rules:
    include /usr/share/cdbs/1/rules/patchsys-quilt.mk
    (instead of simple-patchsys)
  * debian/patches: Switch to quilt
  * debian/patches/shuffleSequences_fasta.patch:
    Add interpreter to Python script

 -- Andreas Tille <tille@debian.org>  Thu, 24 Jun 2010 15:41:53 +0200

velvet (0.7.61~nozlibcopy-1) unstable; urgency=low

  * New upstream version
  * debian/get-orig-source, debian/rules: Strip zlib copy from
    upstream tarball

 -- Andreas Tille <tille@debian.org>  Mon, 22 Mar 2010 15:41:53 +0100

velvet (0.7.59~nozlibcopy-1) unstable; urgency=low

  * New upstream release

  [ Charles Plessy ]
  * Incremented Standard-Version in debian/control to reflect conformance
    with Policy 3.8.4 (no changes needed).

  [ Andreas Tille ]
  * Fixed watch file to make sure it is not supporting newer upstream

 -- Charles Plessy <plessy@debian.org>  Sat, 20 Feb 2010 13:00:13 +0900

velvet (0.7.56~nozlibcopy-1) unstable; urgency=low

  * New upstream version.
  * Repackaged the upstream directory to remove the convenience copy
    of the zlib. Documented this in ‘debian/README.source’.
    Closes: #561433.
  * Updated debian/copyright.
  * Added ‘include_debians_zlib.patch’ to enforce the use of
    /usr/include/zlib.h. This patch is applied using CDBS, see
    ‘debian/rules’ and ‘debian/README.source’.
  * Renamed ‘debian/reference’ ‘debian/upstream-metadata.yaml’ and
    centralised upstream-specific information there.

 -- Charles Plessy <plessy@debian.org>  Mon, 25 Jan 2010 13:03:06 +0900

velvet (0.7.55-1) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 25 Sep 2009 14:52:41 +0200

velvet (0.7.53-1) unstable; urgency=low

  * New upstream release:
    - Ignored reads in Pebble corrected
    - Added automatic measure of median coverage and median insert length
    - Updated manual to cover the above

 -- Charles Plessy <plessy@debian.org>  Fri, 04 Sep 2009 13:42:22 +0900

velvet (0.7.52-1) unstable; urgency=low

  * New upstream release:
    V 0.7.51
    - Small parsing bug
    - Correction to the observed-insert-length script
    - Verified strncpy calls
    - NCBI friendly 10bp N-gaps
    V 0.7.52
    - Crashing bug when parsing fa.gz files
    - Crashing bug with tiny Graph files
    - Bug when loading FASTA files with short lines
    - Corrected snp_view.pl script to write reverse strand reads in
      snp_view_reads file
    - Corrected snp_view.pl script to behave better near the edges of contigs
    - Updated observed_insert_length to compute the standard deviation of
      the set
    - Corrected observed_insert_length script so that it does not crash on
      empty libraries
    - Crashing bug when providing an odd number of paired reads
    - Mapping bug of reads during tour bus correction
  * Replaced the UNRELEASED tag by ‘unstable’ in debian/changelog as
    0.7.50-1 was really uploaded and accepted by the archive.

 -- Charles Plessy <plessy@debian.org>  Thu, 03 Sep 2009 20:00:54 +0900

velvet (0.7.50-1) unstable; urgency=low

  * New upstream release:
    V 0.7.49
    - Added the optional output of unused reads
    - Added David Studholme's FastA -> AGP script
    V 0.7.50
    - Added the extractContigReads script
    - Updated the FastA -> AGP script
    - Added the observed-insert-length script
    - Small parsing bug in simplified read import
  * Incremented Standards-Version in debian/control to reflect conformance
      with Policy 3.8.3 (no changes needed).

 -- Charles Plessy <plessy@debian.org>  Wed, 19 Aug 2009 21:58:49 +0900

velvet (0.7.48-1) unstable; urgency=low

  * New upstream release:
    - Accelerated concatenation (pre-graph and graph)
    - Unlimited contig size
    - Bug in parsing FASTA files with very long lines
    - Parsing bug in snp_view.pl script

 -- Charles Plessy <plessy@debian.org>  Tue, 11 Aug 2009 19:54:03 +0900

velvet (0.7.47-1) unstable; urgency=low

  * New upstream release correcting bugs and enhancing documentation.
  * Multi-Arch support (‘foreign’) in debian/control.
  * Corrected debian/install to avoid ugly ‘contrib/contrib’ location.

 -- Charles Plessy <plessy@debian.org>  Thu, 30 Jul 2009 13:43:13 +0900

velvet (0.7.44-1) unstable; urgency=low

  * New upstream release.
  * Added bibliographic information in BibTeX format in debian/references.
  * debian/rules: touch zlib to avoid third-party zlib to be built.
  * Removed ‘debian/patches/20_external_zlib.patch’. Passing apropriate
    variables in debian/rules is enough to build dynamically on Debian's
    zlib.
  * Removed the quilt patch system (debian/control, debian/README.source
    debian/rules).
  * Incremented Standards-Version in debian/control to reflect conformance
    with Policy 3.8.2 (no changes needed).
  * Corrected the installation of files that were moved from the
    ‘third-party’ directory to the ‘contrib’ directory.
  * Experimentation on debian/copyright.

 -- Charles Plessy <plessy@debian.org>  Sun, 12 Jul 2009 00:24:56 +0900

velvet (0.7.37-1) unstable; urgency=low

  * New upstream release.
    - Small formatting change to error messages
    - K > 31 now possible
    - --help option corrected for velvetg
    - Acceleration of k-mer operations (comparable to 64bit int performance)
    - Fixed variable lengths
    - Reordered struct declaration for more efficent memory alignment
  * debian/rules:
    - Restored manpage generation for velvetg*.
    - Added forgotten CFLAGS for the colorspace building.

 -- Charles Plessy <plessy@debian.org>  Sat, 27 Jun 2009 12:27:27 +0900

velvet (0.7.34-1) unstable; urgency=low

  * New upstream release correcting multiple bugs, changing the stats output,
    allowing optional scaffolding and multiple rounds of Pebble.
  * Added the programs velveth_de and velvetg_de to the package in /usr/bin,
    and the scripts shuffleSequences_fasta.pl and shuffleSequences_fastq.pl in
    /usr/share/velvet (debian/rules, debian/install).
  * Refreshed debian/copyright.
  * Temporarly disabled the manpage generation of velvetg* because the --help
    option is not available (debian/rules).

 -- Charles Plessy <plessy@debian.org>  Tue, 09 Jun 2009 21:28:03 +0900

velvet (0.7.31-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.1 (no changes needed)
  * Create manpages using help2man
  * Move third-party/layout and third-party/afg_handling to examples
    because these scripts are actually not to run velvet but for
    the convenience of users - in /urs/share/velvet these scripts
    seem to be perfectly hidden and in /usr/share/doc/velvet might
    create users attendance
  * Added missing quilt entry in debian/rules

 -- Andreas Tille <tille@debian.org>  Fri, 27 Mar 2009 13:23:32 +0100

velvet (0.7.24-1) unstable; urgency=low

  * Initial release (Closes: #487026)

 -- Charles Plessy <plessy@debian.org>  Wed, 09 Jul 2008 14:06:55 +0900
